MVN

org.whispersystems : textsecure-java

Maven & Gradle

Feb 20, 2016
1 usages

textscure-java · TetSecure library for Java

<dependency>
    <groupId>org.whispersystems</groupId>
    <artifactId>textsecure-java</artifactId>
    <version>1.8.7</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.whispersystems : textsecure-java to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 1.8.7

All Versions

Choose a version of org.whispersystems : textsecure-java to add to Maven or Gradle - All Versions:

  • Version Updated
  • textsecure-java-1.8.7

    Feb 20, 2016
  • textsecure-java-1.8.6

    Feb 16, 2016
  • textsecure-java-1.8.5

    Feb 02, 2016
  • textsecure-java-1.8.4

    Feb 01, 2016
  • textsecure-java-1.8.3

    Nov 16, 2015
  • textsecure-java-1.8.2

    Nov 10, 2015
  • textsecure-java-1.8.1

    Oct 01, 2015
  • textsecure-java-1.8.0

    Sep 22, 2015
  • textsecure-java-1.7.2

    Sep 21, 2015
  • textsecure-java-1.7.0

    Aug 20, 2015
  • textsecure-java-1.6.2

    Jul 30, 2015
  • textsecure-java-1.6.1

    Jul 01, 2015
  • textsecure-java-1.6.0

    Jun 22, 2015
  • textsecure-java-1.5.0

    May 20, 2015
  • textsecure-java-1.4.0

    May 20, 2015
  • textsecure-java-1.3.1

    May 19, 2015
  • textsecure-java-1.3.0

    Apr 15, 2015
  • textsecure-java-1.2.5

    Apr 05, 2015
  • textsecure-java-1.2.4

    Mar 25, 2015
  • textsecure-java-1.2.3

    Mar 19, 2015
  • textsecure-java-1.2.2

    Mar 11, 2015
  • textsecure-java-1.2.0

    Mar 05, 2015
  • textsecure-java-1.1.0

    Mar 03, 2015
  • textsecure-java-1.0.0

    Mar 01, 2015

How to add a dependency to Maven

Add the following org.whispersystems : textsecure-java maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.whispersystems</groupId>
    <artifactId>textsecure-java</artifactId>
    <version>1.8.7</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.whispersystems : textsecure-java gradle dependency to your build.gradle file:

implementation 'org.whispersystems:textsecure-java:1.8.7'

Gradle Kotlin DSL: Add the following org.whispersystems : textsecure-java gradle kotlin dependency to your build.gradle.kts file:

implementation("org.whispersystems:textsecure-java:1.8.7")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.whispersystems : textsecure-java sbt scala dependency to your build.sbt file:

libraryDependencies += "org.whispersystems" % "textsecure-java" % "1.8.7"